package com.ynet.life.sujrb.action;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.life.base.LifeAction;
import com.ynet.life.base.Trace;
import java.util.StringTokenizer;

/* loaded from: com_ynet_life_sujrb_action.jar:com/ynet/life/sujrb/action/GetRecordFromStringAction.class */
public class GetRecordFromStringAction extends LifeAction {
    private String recordStringName;
    private String dataNameField;
    private static final String TOKEN_RECORD = "|";
    private static final String TOKEN_DATA = "#";

    public String execute(Context context) throws GENEException {
        try {
            String recordString = (String) context.getDataValue(this.recordStringName);
            int recordPos = recordString.indexOf(TOKEN_RECORD);
            if (recordPos == -1) {
                return "1";
            }
            String record = recordString.substring(0, recordPos);
            if (record.indexOf(TOKEN_DATA) == -1) {
                String dataName = (String) context.getDataValue(this.dataNameField);
                context.setDataValue(dataName, record);
            } else {
                StringTokenizer tokeValue = new StringTokenizer(record, TOKEN_DATA);
                StringTokenizer tokeName = new StringTokenizer(this.dataNameField, TOKEN_DATA);
                while (tokeValue.hasMoreElements()) {
                    String value = ((String) tokeValue.nextElement()).trim();
                    String name = ((String) tokeName.nextElement()).trim();
                    context.setDataValue(name, value);
                }
            }
            context.setDataValue(this.recordStringName, recordString.substring(recordPos + 1));
            return "0";
        } catch (GENEException e) {
            Trace.logError("LifeAction", "循环获取拼后字符串中的记录异常", e);
            throw e;
        }
    }

    public void setRecordStringName(String recordStringName) {
        this.recordStringName = recordStringName;
    }

    public void setDataNameField(String dataNameField) {
        this.dataNameField = dataNameField;
    }
}
